/* You must specify a path for this variable */
%let path=c:\temp;

%macro chart;
  proc gchart data=sashelp.class;
    Title "VBAR3D Test Graph - device=&device";
    vbar3d age/sumvar=weight subgroup=sex shape=star discrete;
  run;
%mend;

ods html path="&path" file='newdevice.html';

goptions reset=all;

%let device=ACTIVEX;
goptions dev=&device;
%chart;

%let device=ACTXIMG;
goptions dev=&device;
%chart;

%let device=JAVA;
goptions dev=&device;
%chart;

%let device=JAVA2;
goptions dev=&device;
%chart;

%let device=JAVAIMG;
goptions dev=&device;
%chart;

%let device=PNG;
goptions dev=&device;
%chart;
quit;

ods _all_ close;
