%MACRO imagefile(suffix=,device=);
FILENAME image ".\sas_graphics\g_&device..&suffix";
%LET sysrc=%SYSFUNC(FDELETE(image));
GOPTIONS RESET DEVICE=&device GSFNAME=image;
PROC GCHART DATA=sashelp.class;
	VBAR age / SUMVAR=weight SUBGROUP=sex DISCRETE;
	TITLE 'VBAR Test Graph (with sub-grouping)';
RUN;
QUIT;
FILENAME image CLEAR;
%MEND;

%MACRO imageweb(suffix=,device=);
FILENAME _webout ".\sas_graphics\g_&device..&suffix";
%LET sysrc=%SYSFUNC(FDELETE(webout));
GOPTIONS RESET DEVICE=&device;
PROC GCHART DATA=sashelp.class;
	VBAR age / SUMVAR=weight SUBGROUP=sex DISCRETE;
	TITLE 'VBAR Test Graph (with sub-grouping)';
RUN;
QUIT;
FILENAME _webout CLEAR;
%MEND;

/* %imagefile(suffix=xxx,device=ACTIVEX) */
%imagefile(suffix=bmp,device=BMP)
%imagefile(suffix=bmp,device=BMP20)
%imagefile(suffix=cgm,device=CGM)
/* %imagefile(suffix=cgm,device=CGM123C) */
/* %imagefile(suffix=cgm,device=CGMAM3C) */
/* %imagefile(suffix=cgm,device=CGMAPSA) */
%imagefile(suffix=cgm,device=CGMC)
%imagefile(suffix=cgm,device=CGMCHAR)
%imagefile(suffix=cgm,device=CGMCLEAR)
/* %imagefile(suffix=cgm,device=CGMCRT) */
/* %imagefile(suffix=cgm,device=CGMCRTCH) */
/* %imagefile(suffix=cgm,device=CGMCRTCL) */
/* %imagefile(suffix=cgm,device=CGMFL2C) */
/* %imagefile(suffix=cgm,device=CGMFLM) */
/* %imagefile(suffix=cgm,device=CGMFLWA) */
/* %imagefile(suffix=cgm,device=CGMHG3A) */
/* %imagefile(suffix=cgm,device=CGMHGWA) */
/* %imagefile(suffix=cgm,device=CGMILFC) */
%imagefile(suffix=cgm,device=CGMLT97L)
%imagefile(suffix=cgm,device=CGMLT97P)
/* %imagefile(suffix=cgm,device=CGMMPPA) */
/* %imagefile(suffix=cgm,device=CGMMW6C) */
%imagefile(suffix=cgm,device=CGMOF97L)
%imagefile(suffix=cgm,device=CGMOF97P)
%imagefile(suffix=cgm,device=CGMOFML)
%imagefile(suffix=cgm,device=CGMOFMP)
/* %imagefile(suffix=cgm,device=CGMWP) */
/* %imagefile(suffix=cgm,device=CGMWP61L) */
/* %imagefile(suffix=cgm,device=CGMWP61P) */
/* %imagefile(suffix=cgm,device=CGMWP80L) */
/* %imagefile(suffix=cgm,device=CGMWP80P) */
/* %imagefile(suffix=cgm,device=CGMWPCA) */
/* %imagefile(suffix=cgm,device=CGMWPCAP) */
/* %imagefile(suffix=cgm,device=CGMWPL) */
/* %imagefile(suffix=cgm,device=CGMWPWA) */
%imagefile(suffix=dib,device=DIB)
%imagefile(suffix=emf,device=EMF)
%imagefile(suffix=gif,device=GIF)
%imagefile(suffix=gif,device=GIF160)
%imagefile(suffix=gif,device=GIF260)
%imagefile(suffix=gif,device=GIF373)
%imagefile(suffix=gif,device=GIF570)
%imagefile(suffix=gif,device=GIF733)
/* %imagefile(suffix=gif,device=GIFANIM) */
/* %imagefile(suffix=xxx,device=GXTAC) */
/* %imagefile(suffix=xxx,device=GXTDUMMY) */
%imagefile(suffix=dat,device=HPGL)
/* %imagefile(suffix=xxx,device=HTML) */
/* %imagefile(suffix=gif,device=IMGGIF) */
/* %imagefile(suffix=jpg,device=IMGJPEG) */
/* %imagefile(suffix=pbm,device=IMGPBM) */
/* %imagefile(suffix=ppm,device=IMGPPM) */
/* %imagefile(suffix=xxx,device=JAVA) */
%imageweb(suffix=txt,device=JAVAMETA)
%imagefile(suffix=txt,device=JAVAPUB)
%imagefile(suffix=jpg,device=JPEG)
%imagefile(suffix=pdf,device=PDF)
%imagefile(suffix=pdf,device=PDFC)
%imagefile(suffix=png,device=PNG)
%imagefile(suffix=eps,device=PSEPSF)
%imagefile(suffix=eps,device=PSEPSFA4)
%imagefile(suffix=eps,device=PSLEPSF)
%imagefile(suffix=eps,device=PSLEPSFC)
%imagefile(suffix=bmp,device=SASBMP)
%imagefile(suffix=emf,device=SASEMF)
%imagefile(suffix=txt,device=SASMETA)
%imagefile(suffix=wmf,device=SASWMF)
%imagefile(suffix=tif,device=TIFFB)
%imagefile(suffix=tif,device=TIFFBII)
%imagefile(suffix=tif,device=TIFFBMM)
/* %imagefile(suffix=tif,device=TIFFG3) */
/* %imagefile(suffix=tif,device=TIFFG4) */
%imagefile(suffix=tif,device=TIFFP)
/* %imagefile(suffix=xxx,device=WEBFRAME) */
%imagefile(suffix=wmf,device=WMF)
